M_ActivitySummerPlanGoldenTouchCFG = {}

function M_ActivitySummerPlanGoldenTouchCFG:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function M_ActivitySummerPlanGoldenTouchCFG:init()
	self.datas = {}
	self.datas[1] = {ID = 1, Type = 1, Pro = 1, Cost = 10, Reward = 1000000, ShowPro = 2, AddColdValue = 5}
	self.datas[2] = {ID = 2, Type = 1, Pro = 6, Cost = 40, Reward = 1000000, ShowPro = 8, AddColdValue = 40}
	self.datas[3] = {ID = 3, Type = 1, Pro = 20, Cost = 75, Reward = 1000000, ShowPro = 25, AddColdValue = 75}
	self.datas[4] = {ID = 4, Type = 1, Pro = 32, Cost = 200, Reward = 1000000, ShowPro = 40, AddColdValue = 200}
	self.datas[5] = {ID = 5, Type = 1, Pro = 48, Cost = 300, Reward = 1000000, ShowPro = 60, AddColdValue = 300}
	self.datas[6] = {ID = 6, Type = 1, Pro = 100, Cost = 500, Reward = 1000000, ShowPro = 100, AddColdValue = 0}
	self.datas[7] = {ID = 7, Type = 2, Pro = 1, Cost = 100, Reward = 10000000, ShowPro = 2, AddColdValue = 50}
	self.datas[8] = {ID = 8, Type = 2, Pro = 6, Cost = 400, Reward = 10000000, ShowPro = 8, AddColdValue = 400}
	self.datas[9] = {ID = 9, Type = 2, Pro = 20, Cost = 750, Reward = 10000000, ShowPro = 25, AddColdValue = 750}
	self.datas[10] = {ID = 10, Type = 2, Pro = 32, Cost = 2000, Reward = 10000000, ShowPro = 40, AddColdValue = 2000}
	self.datas[11] = {ID = 11, Type = 2, Pro = 48, Cost = 3000, Reward = 10000000, ShowPro = 60, AddColdValue = 3000}
	self.datas[12] = {ID = 12, Type = 2, Pro = 100, Cost = 5000, Reward = 10000000, ShowPro = 100, AddColdValue = 0}
end

M_ActivitySummerPlanGoldenTouchCFG:init()
